tasks:
    - name: HTTPS 映射-自定义域名全流程测试
      task_key: https2
      session_name: 公测环境-arp
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_domain
        - step_key: v2_add_custom_domain_https_proxy
          variables:
            - name: localport
              value: "1111"
            - name: localip
              value: 192.168.31.7
            - name: bw
              value: "1"
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_ip_blacklist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect_first
              value: pass
            - name: http_expect_second
              value: "403"
        - step_key: v2_disable_proxy_ip_access_control
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_ip_whitelist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_basic_auth
          variables:
            - name: username
              value: admin
            - name: password
              value: admin
        - step_key: v2_disable_proxy_basic_auth
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: "403"
        - step_key: v2_disable_proxy_geo_location
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_geo_location_allow_cn
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_disable_proxy_geo_location
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_delete_proxy
        - step_key: v2_delete_port
        - step_key: v2_delete_domain
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: TCP 映射-随机域名全流程测试
      task_key: tcp1
      session_name: 公测环境-arp
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_random_domain_tcp_proxy
          variables:
            - name: localport
              value: "1111"
            - name: localip
              value: 192.168.31.7
            - name: bw
              value: "1"
        - step_key: v2_enable_proxy_ip_blacklist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect_first
              value: pass
            - name: http_expect_second
              value: result=error
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_whitelist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: result=error
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: TCP 映射-自定义域名随机端口全流程测试
      task_key: vuraq3
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_domain
        - step_key: v2_add_custom_domain_tcp_proxy
          variables:
            - name: localport
              value: "1111"
            - name: localip
              value: 192.168.31.7
            - name: bw
              value: "1"
        - step_key: v2_enable_proxy_ip_blacklist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_blacklist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: result=error
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
        - step_key: v2_delete_port
        - step_key: v2_delete_domain
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: TCP 映射-自定义域名预留端口全流程测试
      task_key: t6lkvh
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_domain
        - step_key: v2_add_tcp_port
        - step_key: v2_add_custom_domain_reserved_port_tcp_proxy
        - step_key: v2_enable_proxy_ip_blacklist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_whitelist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: result=error
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
        - step_key: v2_delete_port
        - step_key: v2_delete_domain
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: 文件分享映射-随机域名全流程测试
      task_key: wf7rwp
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_file_share_random_domain_https_proxy
        - step_key: v2_enable_proxy_ip_blacklist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect_first
              value: pass
            - name: http_expect_second
              value: "403"
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_whitelist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_basic_auth
        - step_key: v2_disable_proxy_basic_auth
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: 文件分享映射-自定义域名全流程测试
      task_key: xnbpd2
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_domain
        - step_key: v2_add_file_share_custom_domain_https_proxy
        - step_key: v2_enable_proxy_ip_blacklist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect_first
              value: pass
            - name: http_expect_second
              value: "403"
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_whitelist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_basic_auth
        - step_key: v2_disable_proxy_basic_auth
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: HTTPS 映射-自有域名全流程测试
      task_key: hjo605
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_owned_domain_https_proxy
        - step_key: v2_enable_proxy_ip_blacklist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect_first
              value: pass
            - name: http_expect_second
              value: result=error
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_whitelist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: result=error
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: TCP 映射 - 自有域名预留端口全流程测试
      task_key: qau48h
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_owned_domain_reserved_port_tcp_proxy
        - step_key: v2_enable_proxy_ip_blacklist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_whitelist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: result=error
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: TCP映射 - 自有域名随机端口全流程测试
      task_key: oe9o8e
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_owned_domain_tcp_proxy
        - step_key: v2_enable_proxy_ip_blacklist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_blacklist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: result=error
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: 文件分享映射 - 自有域名全流程测试
      task_key: 3ccm4n
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_file_share_owned_domain_https_proxy
        - step_key: v2_enable_proxy_ip_blacklist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect_first
              value: pass
            - name: http_expect_second
              value: "403"
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_ip_whitelist
        - step_key: v2_disable_proxy_ip_access_control
        - step_key: v2_enable_proxy_basic_auth
        - step_key: v2_disable_proxy_basic_auth
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_deny_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: HTTPS 映射-随机域名全流程测试
      task_key: 44gclw
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_random_domain_https_proxy
          variables:
            - name: localport
              value: "1111"
            - name: localip
              value: 127.0.0.1
            - name: bw
              value: "1"
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_ip_blacklist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect_first
              value: pass
            - name: http_expect_second
              value: "403"
        - step_key: v2_disable_proxy_ip_access_control
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_ip_whitelist
          variables:
            - name: cidr
              value: 0.0.0.0/0
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_basic_auth
          variables:
            - name: username
              value: admin
            - name: password
              value: admin
        - step_key: v2_disable_proxy_basic_auth
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_geo_location_deny_cn
          variables:
            - name: http_expect
              value: "403"
        - step_key: v2_disable_proxy_geo_location
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_enable_proxy_geo_location_allow_cn
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_disable_proxy_geo_location
          variables:
            - name: http_expect
              value: "200"
        - step_key: v2_delete_proxy
        - step_key: v2_delete_port
        - step_key: v2_delete_domain
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: 上游服务终止 TLS 映射-全流程测试
      task_key: vmxul6
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_custom_domain_tls_upstream_terminate_proxy
        - step_key: v2_enable_proxy_geo_location_deny_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: 客户端终止 TLS 映射-全流程测试
      task_key: 92ztq0
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_custom_domain_tls_client_terminate_proxy
        - step_key: v2_enable_proxy_geo_location_deny_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_enable_proxy_geo_location_allow_cn
        - step_key: v2_disable_proxy_geo_location
        - step_key: v2_delete_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
    - name: gateway 数量测试
      task_key: phdh7u
      session_name: userv2-test
      server_name: arp-win
      headed: true
      request_delay: 2
      free_domain: arp123.waitoin.com
      items:
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
        - step_key: v2_add_random_domain_tcp_proxy
      mappings:
        - local_ip: 127.0.0.1
          local_port: 8000
